Skip to main content

List document fragments

GET 

/pipelines/:pipeline_id/documents/:document_id/fragments

Returns one page of the fragments of one document version, in the order of the fragments within the version. The version is the latest current version of the document, or the latest version created at or before as_of that had not expired at that time. An expired document returns HTTP 404 unless the request sets include_expired=true, which also considers expired versions. The fragment text is included in page_content only when the request sets contents=true.

Permissions. Read and execute on the pipeline, and a classification allow-list that covers the document's classification.

Documents, versions and fragments describes fragments, and API conventions describes pagination.

Request​

Responses​

The body is one page of fragments in the list envelope. page_content is present only with contents=true.